extern HTREEITEM AddItemToTree(HWND hwndTV, LPTSTR lpszItem, int nLevel, int id);
extern bool AddItem(HWND hwndTV, HTREEITEM hRoot, const ITEMGROUP *ig);
extern HTREEITEM AddRootItemToTree(HWND hwndTV, LPTSTR pszRootName);
extern void ExpandItems(HWND hwndTV);

extern INT_PTR CALLBACK MainKwdSearchDialog(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
extern void kwdDialog(HWND hWnd);
